Runtime

## org.eclipse.gmf.runtime.common.ui.preferences
Class AbstractPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.jface.preference.FieldEditorPreferencePage
                  org.eclipse.gmf.runtime.common.ui.preferences.AbstractPreferencePage

All Implemented Interfaces:
  java.util.EventListener, IDialogPage, IMessageProvider, IPreferencePage, IPropertyChangeListener, IWorkbenchPreferencePage

Direct Known Subclasses:
  ConnectionsPreferencePage, PrintingPreferencePage

public abstract class AbstractPreferencePage
extends FieldEditorPreferencePage
implements IWorkbenchPreferencePage

Abstract class for preference pages. Subclasses must set the preference store in the constructor by calling <@link PreferencePage#setPreferenceStore(org.eclipse.jface.preference.IPreferenceStore)> or implement <@link PreferencePage#doGetPreferenceStore()> to return the appropriate plugin's preference store.

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`AbstractPreferencePage()` Constructor that calls the superclass and passses in the GridLayout layout style constant.

Method Summary
`protected abstract void` `addFields(Composite parent)` Adds the field editors to this composite.
`protected Control` `createContents(Composite parent)`
`protected void` `createFieldEditors()`
`void` `init(IWorkbench workbench)`
`protected abstract void` `initHelp()` Initialize the context sensitive help id for this preference page.
`protected void` `setPageHelpContextId(java.lang.String id)` Sets the context sensitive help id for this preference page.

Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`addField, adjustGridLayout, applyFont, checkState, dispose, getFieldEditorParent, initialize, performDefaults, performOk, propertyChange, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### AbstractPreferencePage

    public AbstractPreferencePage()

  Constructor that calls the superclass and passses in the GridLayout layout style constant.

Method Detail

### init

    public void init(IWorkbench workbench)

  Specified by:
    `init` in interface `IWorkbenchPreferencePage`

### createContents

    protected Control createContents(Composite parent)

### createFieldEditors

    protected void createFieldEditors()

### addFields

    protected abstract void addFields(Composite parent)

  Adds the field editors to this composite.

  Parameters:
    `parent` - the parent Composite that the field editors will be added to

### initHelp

    protected abstract void initHelp()

  Initialize the context sensitive help id for this preference page.

### setPageHelpContextId

    protected void setPageHelpContextId(java.lang.String id)

  Sets the context sensitive help id for this preference page.

  Parameters:
    `id` - String ID for the context sensitive help

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.